Subject: Re: [PATCH net 3/3] net: ethtool: tsconfig: Fix netlink type of hwtstamp flags

From: Jakub Kicinski <[email-masked]>
Date: Wed, 29 Jan 2025 16:49:07 -0800

On Tue, 28 Jan 2025 16:35:48 +0100 Kory Maincent wrote:
> Fix the netlink type for hardware timestamp flags, which are represented
> as a bitset of flags. Although only one flag is supported currently, the
> correct netlink bitset type should be used instead of u32. Address this
> by adding a new named string set description for the hwtstamp flag
> structure.

Makes sense, please mention explicitly in the commit message that the
code has been introduced in the current release so the uAPI change is
still okay.

In general IMHO YNL makes the bitset functionality less important.
But in this case consistency with other fields seems worth it.
The patch LGTM.